org.fourthline.cling.support.model.item

## Class Item

- java.lang.Object
- - org.fourthline.cling.support.model.DIDLObject
  - - org.fourthline.cling.support.model.item.Item

- Direct Known Subclasses:
    AudioItem, ImageItem, PlaylistItem, TextItem, VideoItem

      public class Item
      extends DIDLObject

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.model.DIDLObject

      `DIDLObject.Class, DIDLObject.Property<V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `refID`

    - ### Fields inherited from class org.fourthline.cling.support.model.DIDLObject

      `clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Item()`
    `Item(Item other)`
    `Item(String id, Container parent, String title, String creator, DIDLObject.Class clazz)`
    `Item(String id, Container parent, String title, String creator, DIDLObject.Class clazz, String refID)`
    `Item(String id, String parentID, String title, String creator, boolean restricted, WriteStatus writeStatus, DIDLObject.Class clazz, List<Res> resources, List<DIDLObject.Property> properties, List<DescMeta> descMetadata)`
    `Item(String id, String parentID, String title, String creator, boolean restricted, WriteStatus writeStatus, DIDLObject.Class clazz, List<Res> resources, List<DIDLObject.Property> properties, List<DescMeta> descMetadata, String refID)`
    `Item(String id, String parentID, String title, String creator, DIDLObject.Class clazz)`
    `Item(String id, String parentID, String title, String creator, DIDLObject.Class clazz, String refID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRefID()`
    `void` | `setRefID(String refID)`

    - ### Methods inherited from class org.fourthline.cling.support.model.DIDLObject

      `addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### refID

          protected String refID

  - ### Constructor Detail

    - #### Item

          public Item()

    - #### Item

          public Item(Item other)

    - #### Item

          public Item(String id,
                      String parentID,
                      String title,
                      String creator,
                      boolean restricted,
                      WriteStatus writeStatus,
                      DIDLObject.Class clazz,
                      List<Res> resources,
                      List<DIDLObject.Property> properties,
                      List<DescMeta> descMetadata)

    - #### Item

          public Item(String id,
                      String parentID,
                      String title,
                      String creator,
                      boolean restricted,
                      WriteStatus writeStatus,
                      DIDLObject.Class clazz,
                      List<Res> resources,
                      List<DIDLObject.Property> properties,
                      List<DescMeta> descMetadata,
                      String refID)

    - #### Item

          public Item(String id,
                      Container parent,
                      String title,
                      String creator,
                      DIDLObject.Class clazz)

    - #### Item

          public Item(String id,
                      Container parent,
                      String title,
                      String creator,
                      DIDLObject.Class clazz,
                      String refID)

    - #### Item

          public Item(String id,
                      String parentID,
                      String title,
                      String creator,
                      DIDLObject.Class clazz)

    - #### Item

          public Item(String id,
                      String parentID,
                      String title,
                      String creator,
                      DIDLObject.Class clazz,
                      String refID)

  - ### Method Detail

    - #### getRefID

          public String getRefID()

    - #### setRefID

          public void setRefID(String refID)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.